<script setup>
import Displayer from "@/Displayer.vue";
import Button from "@/Button.vue";
import {reactive} from "vue";


const state = reactive({
  count: 0
})


const incrementState = () => {
  state.count += 1
}


const decrementState = () => {
  state.count -= 1
}

</script>

<template>
  <main>
    <img alt="Vue logo" class="logo" src="./assets/logo.svg" width="125" height="125" />
    <Displayer :number="state.count" />
    <div style="display: flex">
      <Button @on-click="incrementState" text="Increment"/>
      <Button @on-click="decrementState" text="Decrement"/>
    </div>

  </main>
</template>

<style scoped>
header {
  line-height: 1.5;
}

.logo {
  display: block;
  margin: 0 auto 2rem;
}

main {
  display: flex;
  flex-direction: column;
  align-items: center;
}
</style>
